Bug 67777 - FILEOPEN: Group buttons are displayed incorrectly (.xls and .xlsx)
Summary: FILEOPEN: Group buttons are displayed incorrectly (.xls and .xlsx)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:xls, filter:xlsx
: 115391 (view as bug list)
Depends on:
Blocks: XLSX XLS Group&Outline
  Show dependency treegraph
 
Reported: 2013-08-05 09:39 UTC by Vitaly Bevsky
Modified: 2019-05-24 02:56 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
archive (182.12 KB, application/zip)
2013-08-05 09:39 UTC, Vitaly Bevsky
Details
.xlsx file where the issue is visible (28.98 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2018-04-24 14:44 UTC, Bartosz
Details
simple .xlsx file where issue is visible (9.07 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2018-04-24 15:24 UTC, Bartosz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vitaly Bevsky 2013-08-05 09:39:43 UTC
Created attachment 83652 [details]
archive

Group buttons are displayed incorrectly
Comment 1 Mike Kaganski 2013-08-08 04:22:05 UTC
Reproducible with 3.3.0.4 - 4.1.0.4 under Win7x64.
Please notice that not only number of buttons is incorrect, their behaviour is strange (if I click minus button, it will not do anything first time, open subitems the second time; extra buttons disappear when the leftmost plus button is clicked), but also the vertical alignment of buttons to rows is wrong.
Comment 2 Vitaly Bevsky 2014-02-03 07:32:46 UTC
LO 4.2 hasn't this bug fix
Comment 3 Joel Madero 2015-05-02 15:41:41 UTC Comment hidden (obsolete)
Comment 4 Mike Kaganski 2015-05-02 17:10:36 UTC
Still reproducible with Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Locale: ru_RU
under Win7x64
Comment 5 QA Administrators 2016-09-20 09:37:31 UTC Comment hidden (obsolete)
Comment 6 Buovjaga 2018-02-26 15:58:21 UTC
*** Bug 115391 has been marked as a duplicate of this bug. ***
Comment 7 Buovjaga 2018-02-26 15:59:51 UTC
See attachment 140134 [details] for an XLSX example.

Still confirmed.

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: 40c33132cfa6582dfccf17e787f10dd4dbd0819d
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on February 24th 2018
Comment 8 Bartosz 2018-04-24 14:44:35 UTC
Created attachment 141595 [details]
.xlsx file where the issue is visible
Comment 9 Bartosz 2018-04-24 15:24:40 UTC
Created attachment 141601 [details]
simple .xlsx file where issue is visible
Comment 10 QA Administrators 2019-05-24 02:56:12 UTC
Dear Vitaly Bevsky,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug